{% extends 'base.html' %}
{% load helpers %}
{% load bootstrap5 %}
{% load static %}


{% block js %}
    <script src="{% static 'js/cbor.js'%}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/UAParser.js/0.7.20/ua-parser.min.js"></script>
    <script src="{% static 'js/fingerprint.js'%}"></script>
{% endblock js %}

{% block content %}
    <div class="text-center">
        Hi there, {{ user.username }}. You can add following auth methods:
    </div>
    <hr>

    <ul class="nav nav-tabs nav-justified mb-3" role="tablist">
        <li class="nav-item" role="presentation">
            <a class="nav-link{% if active_field == 'two_factor' %} active{% endif %}" data-mdb-toggle="tab" href="#tf-auth" role="tab" aria-selected="false">Two-factor</a>
        </li>
        <li class="nav-item" role="presentation">
            <a class="nav-link{% if active_field == 'digital_sign' %} active{% endif %}" data-mdb-toggle="tab" href="#ds-auth" role="tab" aria-selected="false">Digital signature</a>
        </li>
        <li class="nav-item" role="presentation">
            <a class="nav-link{% if active_field == 'biometry_auth' %} active{% endif %}" data-mdb-toggle="tab" href="#biometry-auth" role="tab" aria-selected="false">Biometry</a>
        </li>
    </ul>

    <div class="tab-content">
        <div class="tab-pane fade{% if active_field == 'two_factor' %} show active{% endif %}" id="tf-auth" role="tabpanel">
            To start using a token generator, please use your smartphone to scan the QR code below.
            For example, use Google Authenticator. Then, enter the token generated by the app.
            <hr>
            <p class="text-center"><img src="{% url 'auth:tf_qr' %}" alt="QR Code" /></p>
            {% include 'includes/auth_form.html' with form=two_factor_form auth_type='two_factor' button_value='Proceed'%}
        </div>
        <div class="tab-pane fade{% if active_field == 'digital_sign' %} show active{% endif %}" id="ds-auth" role="tabpanel">
            <form method="POST">{% csrf_token %}
                To generate digital signature, enter key password:
                <hr>
                {% include 'includes/auth_form.html' with form=digital_sign_form auth_type='digital_sign' button_value='Proceed'%}
            </form>
        </div>
        <div class="tab-pane fade{% if active_field == 'biometry_auth' %} show active{% endif %}" id="biometry-auth" role="tabpanel">
            To add biometric authentication method, press the button and scan your fingerprint
            <hr>
            <div class="text-center" id="res">
                {% bootstrap_button id='add-biometry' content='Add fingerpint' %}
            <input type="hidden" id="biometry_begin_reg" data-url-selected="{% url 'auth:biometric_reg_begin' %}">
            <input type="hidden" id="biometry_complete_reg" data-url-selected="{% url 'auth:biometric_reg_complete' %}">
            <input type="hidden" id="success_url" data-url-selected="{% absolute_url 'auth:index' %}">
        </div>
    </div>

{% endblock content %}